Subject: [os2genau_digest] No. 1653
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Mon, 9 Jun 2008 00:00:42 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Sunday 08 June 2008
 Number  1653
**************************************************

Subjects for today
 
1  Re:  Collecting Objects hang : Nicholas Lysaght" <nicholasrf at gmail dot com>
2  Re:  Collecting Objects hang : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Collecting Objects hang : Dennis Nolan <djn at aanet dot com dot au>
4  Re:  Collecting Objects hang : Ed Durrant <edurrant at durrant dot mine dot nu>

**= Email   1 ==========================**

Date:  Sun, 8 Jun 2008 11:34:51 +0800
From:  "Nicholas Lysaght" <nicholasrf at gmail dot com>
Subject:  Re:  Collecting Objects hang

Good Morning Ed et Al

On Sat, Jun 7, 2008 at 2:12 PM, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:

> Hi,
>
>  Recently under eComStation (but it used to happen under warp 4 as well), I
> have been experiencing hangs when I open a sub folder or even a drive in the
> drives folder. The panel remains blank except for the message "collecting
> objects" at the bottom left and other programs are also stopped from
> executing.

Ah! That can happen to me if I attach an external drive....say, a thumbie,
that has a data fault, maybe formatting or such-like. Usually something is
not "just right" as eCs-OS/2 likes it (sorry, not much help to you.).

It seems akin/related to that red torch in windows when it is searching a
drive or a folder, yet from what I've observed, it's different from plug 'n'
pray.

>
>
>  Sometimes control can be regained of the system by using ctrl+esc followed
> by close application (simply trying to close the window does not work), but
> I cannot get to view sub folder contents again until I reboot the system.

Found that as well. Usually, when rebooting the system, if I remove the
external drive or whatever I think is causing the problem, that usually
fixes it.

>
>  Does anyone know a way to fix this issue ?

Another way is to do a "chkdsk x: /f" It's real "seat-of-the-pants" stuff,
and I really don't  have a proper answer. I just hope it helps, somehow.

Regards

NICK

>
>
> Cheers/2
>
> Ed.
>
> P.S. I do use X-File, the file dialog enhancer however this problem occurs
> whether or not this is running. I have no other non-standard WPS enhancers
> running.
>

> 

>

[attachments have been removed]
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Sun, 08 Jun 2008 15:43:30 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Collecting Objects hang

Nicholas Lysaght wrote:
> Good Morning Ed et Al
> 
> On Sat, Jun 7, 2008 at 2:12 PM, Ed Durrant <edurrant at durrant dot mine dot nu> wrote:
> 
>> Hi,
>>
>>  Recently under eComStation (but it used to happen under warp 4 as well), I
>> have been experiencing hangs when I open a sub folder or even a drive in the
>> drives folder. The panel remains blank except for the message "collecting
>> objects" at the bottom left and other programs are also stopped from
>> executing.
> 
> 
> Ah! That can happen to me if I attach an external drive....say, a thumbie,
> that has a data fault, maybe formatting or such-like. Usually something is
> not "just right" as eCs-OS/2 likes it (sorry, not much help to you.).
> 
> It seems akin/related to that red torch in windows when it is searching a
> drive or a folder, yet from what I've observed, it's different from plug 'n'
> pray.
> 
> 
>>
>>  Sometimes control can be regained of the system by using ctrl+esc followed
>> by close application (simply trying to close the window does not work), but
>> I cannot get to view sub folder contents again until I reboot the system.
> 
> 
> Found that as well. Usually, when rebooting the system, if I remove the
> external drive or whatever I think is causing the problem, that usually
> fixes it.
> 
> 
>>  Does anyone know a way to fix this issue ?
> 
> 
> Another way is to do a "chkdsk x: /f" It's real "seat-of-the-pants" stuff,
> and I really don't  have a proper answer. I just hope it helps, somehow.
> 
> Regards
> 
> NICK
> 
>>
>> Cheers/2
>>
>> Ed.
>>
>> P.S. I do use X-File, the file dialog enhancer however this problem occurs
>> whether or not this is running. I have no other non-standard WPS enhancers
>> running.
>>
>
>> 
>
>>
> 
> [attachments have been removed]

>  

> 
Thanks Nick,

  I do use external USB drives/memory keys, so I wonder if that's the 
problem ? Can't remember if this was a USB attached drive - I don't 
think so but there could have been one attached at the same time.
The next time this happens, I'll take note if there's a USB attached MSD 
or not.

Cheers/2

Ed.
----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Sun, 08 Jun 2008 22:55:11 +1000
From:  Dennis Nolan <djn at aanet dot com dot au>
Subject:  Re:  Collecting Objects hang

Ed
Your symptoms usually indicate a hardware fault. The disk access is 
blocking the message queue.

A flaky drive or cable.

Or  a large drive which is very full with lots and lots of files 
(1,000's) in the folder that you are trying to open.

Look at the folder (directory) from the command line. If it has lots of 
files try breaking the directory into several smaller directories.

Lykke til

Dennis.

Ed Durrant wrote:
> Hi,
>
>   Recently under eComStation (but it used to happen under warp 4 as 
> well), I have been experiencing hangs when I open a sub folder or even 
> a drive in the drives folder. The panel remains blank except for the 
> message "collecting objects" at the bottom left and other programs are 
> also stopped from executing.
>
>   Sometimes control can be regained of the system by using ctrl+esc 
> followed by close application (simply trying to close the window does 
> not work), but I cannot get to view sub folder contents again until I 
> reboot the system.
>
>   Does anyone know a way to fix this issue ?
>
> Cheers/2
>
> Ed.
>
> P.S. I do use X-File, the file dialog enhancer however this problem 
> occurs whether or not this is running. I have no other non-standard 
> WPS enhancers running.
 
>
> 

>
>
----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Sun, 08 Jun 2008 23:17:57 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Collecting Objects hang

I believe this has occurred on a drive with many files and directories 
on it however as it sometimes happens in the root directory of that 
drive, I can't split it into more drives.

Also this problem does not occur in FM/2 or other programs listing the 
directory (such as OOo/2) only in the OS/2 drives folder.

No drives report any errors.

Cheers/2

Ed.

Dennis Nolan wrote:
> Ed
> Your symptoms usually indicate a hardware fault. The disk access is 
> blocking the message queue.
> 
> A flaky drive or cable.
> 
> Or  a large drive which is very full with lots and lots of files 
> (1,000's) in the folder that you are trying to open.
> 
> Look at the folder (directory) from the command line. If it has lots of 
> files try breaking the directory into several smaller directories.
> 
> Lykke til
> 
> Dennis.
> 
> 
> Ed Durrant wrote:
>> Hi,
>>
>>   Recently under eComStation (but it used to happen under warp 4 as 
>> well), I have been experiencing hangs when I open a sub folder or even 
>> a drive in the drives folder. The panel remains blank except for the 
>> message "collecting objects" at the bottom left and other programs are 
>> also stopped from executing.
>>
>>   Sometimes control can be regained of the system by using ctrl+esc 
>> followed by close application (simply trying to close the window does 
>> not work), but I cannot get to view sub folder contents again until I 
>> reboot the system.
>>
>>   Does anyone know a way to fix this issue ?
>>
>> Cheers/2
>>
>> Ed.
>>
>> P.S. I do use X-File, the file dialog enhancer however this problem 
>> occurs whether or not this is running. I have no other non-standard 
>> WPS enhancers running.
> 
>>
>> 
>
>>
>>
 
> 
> 

> 

----------------------------------------------------------------------------------